#include <iostream> 
#include <string>
#include <queue>

using namespace std;

#define PII pair<int, int>
#define A first
#define B second

const int maxn = 110;

struct edge {
   int x, y, w;
   edge(int x1, int y1, int w1): x(x1), y(y1), w(w1) {}
   edge() {}
};

int n;
string s[2];
vector<edge> g[2][maxn];
deque<PII> q;
int vis[2][maxn], ans[2][maxn];

int main()
{
   freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);

   int i, j;
   
   cin >> n >> s[0] >> s[1];
   for (i = 0; i < 2; i++)
      for (j = 0; j < n; j++)
         for (int dx = -1; dx <= 1; dx++) {
            for (int dy = -1; dy <= 1; dy++)
               if (abs(dx) + abs(dy) == 1 && i+dx >= 0 && i+dx < 2 && j+dy >= 0 && j+dy < n) {
                  int i1 = i + dx, j1 = j + dy;
                  if (s[i1][j1] != '#') {
                     int w = 1;
                     if (s[i1][j1] == 'X') w = 0;
                     g[i][j].push_back(edge(i1, j1, w));
                  }
               }
         }

   memset(vis, 0, sizeof(vis));
   ans[0][0] = 0; vis[0][0] = 1; q.push_back(PII(0, 0));
   while (!q.empty()) {
      PII a = q.front();
      q.pop_front();
      for (i = 0; i < g[a.A][a.B].size(); i++) {
	      edge ed = g[a.A][a.B][i];
	      if (!vis[ed.x][ed.y]) {
	         ans[ed.x][ed.y] = ans[a.A][a.B] + ed.w;
	         vis[ed.x][ed.y] = 1;
	         if (ed.w) q.push_back(PII(ed.x, ed.y)); else q.push_front(PII(ed.x, ed.y));
	      }
      }
   }
   
   int res = 2*maxn;
   if (vis[0][n-1] && ans[0][n-1] < res) res = ans[0][n-1];
   if (vis[1][n-1] && ans[1][n-1] < res) res = ans[1][n-1];
   cout << res;

   fclose(stdin); fclose(stdout);
   return 0;
}
